package org.vrabec.datagateway.rest;

import javax.ws.rs.Consumes;
import javax.ws.rs.PUT;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;
import javax.ws.rs.core.MediaType;
import javax.ws.rs.core.Response;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.vrabec.datagateway.data.Joda;

@Path("/joda")
public class JodaTest {

	private static final Logger LOGGER = LoggerFactory.getLogger(JodaTest.class);
	
	@PUT
	@Path("/add")
	@Consumes(MediaType.APPLICATION_JSON)
	@Produces(MediaType.APPLICATION_JSON)
	public Response add(Joda joda) {
		LOGGER.info(joda.toString());
		return Response.ok().build();
	}
}
