package org.vrabec.datagateway.generator;

import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;

import javax.ws.rs.client.Client;
import javax.ws.rs.client.ClientBuilder;
import javax.ws.rs.client.Entity;
import javax.ws.rs.client.Invocation;
import javax.ws.rs.client.WebTarget;
import javax.ws.rs.core.MediaType;
import javax.ws.rs.core.Response;

import org.glassfish.jersey.client.ClientConfig;
import org.joda.time.DateTime;
import org.vrabec.datagateway.data.Joda;
import org.vrabec.datagateway.rest.GensonCustomResolver;

public class GeneratorMain {
	
	public static void main(String[] args) {
		
		ClientConfig clientConfig = new ClientConfig();
 		Client client = ClientBuilder.newClient(clientConfig);
		
 		WebTarget webTarget = client.target("http://localhost:8080/joda/add");
 		Invocation.Builder invocationBuilder = webTarget.request(MediaType.APPLICATION_JSON);
		invocationBuilder.header("some-header", "true");
		
		Entity<Joda> en = Entity.json(new Joda().setDateTime(new DateTime()));
		
		Response response = invocationBuilder.put(en);
		if(Response.ok().build().getStatus() != response.getStatus()) {
			System.out.println(response.getStatus());
		}		
	}
	
}
