package org.vrabec.datagateway.data;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

import org.joda.time.DateTime;

@XmlRootElement(name = "Joda")
@XmlAccessorType(XmlAccessType.FIELD)
public class Joda {

	@XmlElement(nillable=false)
	private DateTime dateTime;

	public DateTime getDateTime() {
		return dateTime;
	}

	public Joda setDateTime(DateTime dateTime) {
		this.dateTime = dateTime;
		return this;
	}

	@Override
	public String toString() {
		StringBuilder builder = new StringBuilder();
		builder.append("Joda [");
		if (dateTime != null)
			builder.append("dateTime=").append(dateTime);
		builder.append("]");
		return builder.toString();
	}
}
